#include <stdlib.h>
#include <string.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/wdt.h>
#include <util/delay.h>

#define bit_set(port,bit)       { port |= (1<<(bit));}
#define bit_clear(port,bit)     { port &= ~(1<<(bit));}
#define min(a,b)                ((a)<(b) ? (a):(b))

#define nop()   __asm__ volatile ("nop" )
#define wdr()   __asm__ volatile("wdr" )

#if 1
int8_t aaa(int8_t a,int8_t b, int8_t c, int8_t d) {
	bit_set(DDRC, PC0);
	return a & b & c & d;
}

main() {
	aaa(1,2,3,4);
	for (;;) 
		;
}
#endif
#if 0
int8_t aaa(int8_t a,int8_t b, int8_t c) {
	bit_set(DDRC, PC0);
	return a & b & c;
}

main() {
	aaa(1,2,3);
	for (;;) 
		;
}
#endif
#if 0
int16_t aaa(int8_t a,int8_t b) {
	bit_set(DDRC, PC0);
	return a & b;
}

main() {
	aaa(1,2);
	for (;;) 
		;
}
#endif
